# Jury de Poursuites d'Etudes BUT

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/css/all.min.css">


<i class="fa-solid fa-triangle-exclamation" style="color: darkred"></i>
**Attention** : cette **fonctionnalité** est en cours de révision pour le BUT
depuis janvier 2024 ; les documents (avis) en LaTeX ne sont plus générés dans
cette nouvelle version : seul des classeurs excel sont générés. Merci de vos
retours.

## Cadre d'usage et nomenclature

Un jury de Poursuites d'Etudes émet des avis sur la capacité des étudiants à
intégrer une formation post-BUT (master, écoles d'ingénieur, écoles de commerce,
...) en s'appuyant sur l'ensemble des résultats qu'ont obtenus les étudiants au
cours de leur scolarité de BUT.

Les étudiants considérés sont ceux d'une **promotion** :

> Une **promotion** est l'ensemble des étudiants qui recevront leur **diplôme**
> la même année, quelque soit leurs _semestres_, leurs _parcours_, leurs
> _modalités_ d'apprentissage (formation initiale ou apprentissage) ou leurs
> redoublements éventuels.


Les avis émis s'appuient sur différents critères (**notes moyennes/classements**) obtenus :

* sur des **moyennes prévues dans le règlement des études** : moyenne par
  **UE**, par **niveau de compétence** (regroupement cohérent d'UE)
* sur des **moyennes _personnalisées_** (cf. tag), souvent demandées par les
  formations post-BUT dans les dossiers de candidature des étudiants : moyenne
  en anglais, en mathématiques, en français, ...
* à **différents instants de la scolarité** (cf. regroupement cohérent de
  semestres) des étudiants : moyenne en 1ère année, en 2ème année, sur 3 ans,
  ...
* sur des **interclassements**, classant les étudiants indépendamment du
  _chemin_ (parcours, modalité, redoublement, ...) qu'ils ont parcouru au cours
  de leur scolarité de BUT.

Ces critères variant d'un établissement à un autre et d'un dossier de
candidature à un autre, la fonctionnalité **Jury de Poursuites d'Etudes** de
Scodoc (appelée ci-dessous **outil PE**) fournit un **ensemble de notes
moyennes/classements le plus large possible** centralisé dans des tableurs xlsx,
pour en avoir différentes vues.

> A vous de _piocher_ dans les données fournies en fonction de vos besoins pour
> construire votre tableur  émettre vos avis et renseigner les dossiers de
> candidature de vos étudiants.

***

## Premiers pas

<i class="fas fa-eye" style="color: teal"></i> Dans la suite, sera pris
l'exemple du jury des poursuites d'études **2024**, qui traitera TOUS les
étudiants qui termineront leur scolarité (généralement en juin) 2024 : vos
diplômés de la **promotion 2024**.

### Générer l'archive zip des documents standards

1. Editer n'importe lequel des semestres Scodoc dans lequel à étudier un
   étudiant de la promotion (quelque soit sa _modalité d'apprentissage_ ou son
   _parcours_). <i class="fas fa-eye" style="color: teal"></i> Par exemple, un
   semestre 5 2023-2024.
2. Partant du semestre sélectionné, l'onglet `Statistiques` > `Documents Avis de Poursuite d'Etudes`.
3. `Générer les documents` pour télécharger l'archive zip du jury. <i class="fas
   fa-eye" style="color: teal"></i> Dans notre exemple, <i class="fa-solid
   fa-file" style="color: orange"></i> `Jury_PE_2024.zip`

<i class="fa-solid fa-triangle-exclamation" style="color: darkred; font-size:
200%"></i> L'outil PE n'analyse pas seulement les futurs diplômés ; il analyse
également TOUS les étudiants que vos diplômés ont cotoyés dans leur scolarité,
mais qui ont démissionné, abandonné, redoublé (cf. <i class="fa-solid fa-file"
style="color: orange"></i>`Jury_PE_2024.zip` > `details/etudiants.xlsx`) car ils
impactent les classements. De fait, <i class="fas fa-eye" style="color:
teal"></i> pour un jury de semestre 5 :
* si vous avez commencé à peupler des semestres 6, assurez-vous que tous vos
  diplômés y soient inscrits, au risque que l'outil les croit démissionnaires.
* si vous avez créé les semestres 6 mais sans étudiant inscrits, pas de souci !

### Contenu de l'archive zip

L'archive obtenue contient plusieurs tableurs :

1. <i class="fa-solid fa-file" style="color: orange"></i>
   `synthese_jury_par_tag.xlsx` : résume les données du jury de votre promotion
   dans différents onglets :

   * l'onglet `but` s'appuie sur des moyennes de semestre (cf. plus bas)
   * plusieurs onglets nommés `comp. <titre_competence>` (dépendant des
     _parcours_ de votre formation) retracent les moyennes/classements obtenues
     dans les différentes UE rattachées à la `competence`

   Il peut être utilisé pour :

   * préparer (en piochant) les moyennes/classements qui vous intéressent
   * intégrer une solution de publipostage (non proposée par l'outil PE) pour
     générer les **fiches d'avis PE** à transmettre aux étudiants pour leur
     dossier de candidature

2. <i class="fa-solid fa-file" style="color: orange"></i>
   `synthese_jury_par_etudiants.xslx` : résume les données de chaque étudiant
   dans un onglet qui lui est propre. Il peut être utilisé pour
   communiquer/transmettre à l'étudiant ses moyennes/classements pour préparer
   ses dossiers

3. des tableurs dans `details` qui traduisent les différentes étapes de calcul
   faites par l'outil et sont plutôt destinés aux <i class="fa-solid
   fa-bullseye" style="color: violet"></i> développeurs

## Moyennes personnalisées : les tags¶

Pour obtenir des **moyennes personnalisées** (par exemple moyenne en
mathématiques, en anglais, en expression-communication, ...), l'outil s'appuie
sur un système de **tags**.

> Les tags sont des _mots-clés_ (courts et sans caractères spéciaux) affectés à
> des modules (ressources ou SAEs) dans le `Programme de formation`. <i
> class="fa-solid fa-triangle-exclamation" style="color: darkred"></i> Ils ne
> peuvent pas être `but` ni `comp. <titre_competence>` (réservés par l'outil).

Tous les modules portant le même tag (<i class="fa-solid
fa-triangle-exclamation" style="color: darkred"></i> à la casse et à
l'accentuation) seront _intégrés_ ensemble dans le calcul de
moyennes/classements pour ce tag. Elles apparaitront sous la forme d'un nouvel
onglet dans <i class="fa-solid fa-file" style="color: orange"></i>
`synthese_jury_par_etudiants.xslx`.

### Renseigner les tags

Après avoir sélectionné un _programme de formation_ depuis le menu `Programmes` :

![Ajouter des tags](img/ajouter_tags.png)

1. Cochez `Montrer les tags...`
2. Renseigner pour chaque module le ou les tags souhaités (<i class="fa-solid
   fa-bullseye" style="color: violet"></i> ici 3 tags : réseaux, ressources,
   techniques )

<i class="fa-solid fa-lightbulb" style="color: gold"></i> Le menu `Tagguer tous
les modules par leur type (tag res, sae)` (après la description des ressources
et des SAEs) permettant de tagguer automatiquement les ressources avec le tag
`res` et les SAEs avec le tag `sae`.

<i class="fa-solid fa-triangle-exclamation" style="color: darkred; font-size:
200%"></i> Si vos étudiants ont suivi plusieurs programmes de formation
différents, tous leurs programmes doivent être taggués.

### Paramètrer les coefficients des tags

Les tags peuvent faire mention d'un **coefficient** servant à la pondération des
modules dans le calcul de la moyenne (cf. section coefficient). Le tag sera
alors de la forme : `nom_du_tag:coeff_entier`.

## Regroupements cohérents de semestre


Les moyennes (quelque soit le tag) peuvent être calculées sur plusieurs
semestres appelés **regroupements cohérents de semestres** : moyenne en 1ère
année, en 2ème année voire (pour le jury) sur l'ensemble des semestres (même
redoublés) qu'a suivi un étudiant.

> Un **regroupement cohérent de semestres** (RCS) est un ensemble de semestres
> suivis par les étudiants formant un tout cohérent pour calculer une moyenne
> sur plusieurs semestres.

Globalement, 3 types de regroupements cohérents de semestres sont fournis :

* Les RCS `Semestre <n>` (avec `<n>` le numéro du semestre parmi 1, 2, 3, 4, 5,
  6) désignent la moyenne (pour chaque tag) calculée en utilisant les notes du
  (ou des) semestre `<n>`.

* Les RCS `BUT<a>` (avec `<a>` le numéro de l'année parmi 1, 2, 3) désignent la
  moyenne calculée sur les deux semestres d'une même année `<a>`.

* Les RCS `Moyenne du semestre <ini> à <final>` désignent les moyennes calculées
  en utilisant toutes les notes du semestre `<ini>` au semestre `<final>`. Plus
  particulièrement:

    * Le RCS `Moyenne du semestre 1 à 5` (intégrant les semestres
      S1+S2+S3+S4+S5) peut être utile pour une vue d'ensemble des résultats -
      sur 5 semestres - lors d'un jury se tenant au S5 pour des avis de
      poursuites d'études

    * Le RCS `Moyenne du semestre 1 à 3` (intégrant les semestres S1+S2+S3) peut
      être utile pour une vue d'ensemble des résultats - sur 3 semestres - lors
      d'un jury se tenant au S3 pour des avis de _réorientation_ (pour rester
      _politiquement correct_).


<i class="fa-solid fa-triangle-exclamation" style="color: darkred; font-size:
200%"></i> Dans le cas des étudiants redoublants, seront **systématiquement**
pris en compte les notes des semestres redoublés :


Le mode de calcul des moyennes de chaque regroupement cohérent de semestres
dépend du regroupement et du tag (cf. décription à suivre).


Les données de ces regroupements cohérents de semestres sont fournis, en
colonne, dans <i class="fa-solid fa-file" style="color: orange"></i>
`synthese_jury_par_tag.xslx`.

![Regroupements cohérents de semestre](img/regroupement_coherent_semestre.png)

## Mode de calcul des moyennes

Les moyennes de poursuites d'études (contrairement aux moyennes d'UE ou de
regroupement cohérent d'UE) ne sont pas règlementées par l'arrêté du BUT. Leur
mode de calcul (décrit ci-dessous) a été choisi pour **comparer les étudiants**,
sachant la diversité des parcours, la complexité et les contraintes des
coefficients du programme, en étant le plus cohérent possible.

> <i class="fa-solid fa-triangle-exclamation" style="color: darkred; font-size:
> 200%"></i> Dans le cas des étudiants redoublants, seront **systématiquement**
> pris en compte les notes de tous ses semestres y compris redoublés. L'outil ne
> se focalise pas sur les _meilleures notes_ mais sur la _moyenne_.
>
> <i class="fa-solid fa-comment" style="color: darkgreen"></i> Ce choix trouve
> un équilibre entre _pénaliser_ un étudiant en situation de redoublement par
> rapport à un autre ayant réussi _du premier coup_ et permettre à l'étudiant
> redoublant d'améliorer sa moyenne.

### Moyennes des RCS `Semestre <n>`

Rappelons que les RCS `Semestre <n>` (avec `<n>` le numéro du semestre parmi 1,
2, 3, 4, 5, 6) désignent la moyenne (pour chaque tag) calculée en utilisant les
notes du (ou des) semestre `<n>`. <i class="fas fa-eye" style="color: teal"></i>
Par exemple, `Semestre 1` désigne la moyenne obtenue en partant de toutes les
notes du S1.

#### Moyenne `comp. <titre_competence>` au RCS `Semestre <n>`

La moyenne des tags (automatiques) `comp. <titre_competence>` (déduit de votre
référentiel de compétence) pour un `Semestre <n>` est une recopie de la moyenne
de l'UE associée à la compétence (utilisant les modules et leurs coefficients du
programme pédagogique).

<i class="fa-solid fa-triangle-exclamation" style="color: darkred"></i> Dans le
cas des étudiants redoublants est fourni la moyenne des UEs des deux semestres
qu'il a suivis (souvent l'une validée l'autre non) : par exemple, pour le
`Semestre 1` :

$$moy\_ue\_au\_semestre1 = (moy\_ue\_semestre1\_non\_valide + moy\_ue\_semestre1\_valide)/2$$

#### Moyenne `but` au RCS `Semestre <n>`

La moyenne du tag (automatique) `but` pour un `Semestre <n>` est similaire à la
moyenne de semestre donnée à titre indicatif par Scodoc dans les notes/jury du
semestre. Elle utilise tous les modules, leurs coefficients par UE définis dans
le programme pédagogique pour calculer les moyennes par UE. Puis elle fournit
une moyenne pondérée des UEs en utilisant les crédits ECTS associés à chaque UE.
Pour faire court :

$$moy\_but\_au\_semestre = (UE1 \times ects1 + UE2 \times ects2 + ...)/(ects1 + ects2 + ...)$$

<i class="fa-solid fa-triangle-exclamation" style="color: darkred"></i> Dans le
cas des étudiants redoublants est fourni la moyenne aux deux semestres qu'il a
suivi (souvent l'un validé l'autre non) : par exemple, pour le `Semestre 1` :

$$moy\_but\_au\_semestre1 = (moy\_but\_au\_semestre1\_non\_valide + moy\_but\_au\_semestre1\_valide)/2$$

#### Moyenne des tags personnalisés au RCS `Semestre <n>`

Pour les moyennes aux tags que vous avez ajoutés dans le programme de formation,
le calcul est similaire à celle de la moyenne `but` en n'utilisant cette fois
que les modules qui portent le tag visé.

<i class="fas fa-eye" style="color: teal"></i> Par exemple, si le semestre 1 a
deux modules d'anglais taggué `anglais`, est calculé : la moyenne dans chaque UE
avec les notes des modules d'anglais pondérés par leur coefficients
(coefficients du programme + coefficients d'évaluation dirigeant les notes vers
une UE ou une autre). Les moyennes dans chaque UE sont ensuite intégrée dans une
moyenne globale en utilisant les crédits ECTS :

$$moy\_anglais\_au\_semestre = (UE1\_anglais \times ects1 + UE2\_anglais \times ects2 + ...)/(ects1 + ects2 + ...)$$

<i class="fa-solid fa-triangle-exclamation" style="color: darkred"></i> Il vous
est possible (via la déclaration du tag de la forme
`nom_tag:coefficient_entier`) d'ajouter une **pondération supplémentaire** qui
s'ajoute (par multiplication) aux coefficients du programme des modules taggués.

### Moyennes des RCS `BUT<a>`

Les RCS `BUT<a>` (avec `<a>` le numéro de l'année parmi 1, 2, 3) regroupent deux
semestres d'une même année `<a>` : par exemple, `BUT1` regroupent le `Semestre
1` et le `Semestre 2`.

Quelque soit le tag (`comp. <titre_compétence>`, `but` ou personnalisés), les
moyennes _annuelles_ calculées ici s'appuient sur les moyennes des deux
semestres regroupés (dont le mode de calcul est décrit au dessus) et fournissent
la moyenne des deux semestres avec équipondération.

<i class="fas fa-eye" style="color: teal"></i> Par exemple, pour l'anglais et le
RCS `BUT1` $moy\_anglais\_BUT1 = (moy\_anglais\_S1 + moy\_anglais\_S2)/2$

(où `moy_anglais_S1` désigne la moyenne d'anglais du RCS `Semestre 1` et
`moy_anglais_S2` du RCS `Semestre 2`).

### Moyennes des RCS `Moyenne du semestre <ini> à <fin>`

Le principe est le même que les moyennes des RCS `BUT<a>` mais en considérant
tous les semestres allant du semestre `<ini>` au semestre `<fin>` et en
moyennant les résultats semestre par semestre avec équipondération.

<i class="fas fa-eye" style="color: teal"></i> Par exemple, pour l'anglais et le
RCS `Moyenne du semestre <ini> à <fin>` :

$$moy\_anglais = (moy\_anglais_S1 + moy\_anglais\_S2 + moy\_anglais\_S3 + moy\_anglais_S4 + moy\_anglais\_S5)/5$$

<i class="fa-solid fa-triangle-exclamation" style="color: darkred"></i> Si un
semestre n'a pas de modules associé au tag visé, il n'est pas pris en compte.

<i class="fas fa-eye" style="color: teal"></i> Par exemple, pour l'anglais et le
RCS `Moyenne du semestre <ini> à <fin>` mais pour lequel il n'y a pas de notes
au S4 :

$$moy\_anglais = (moy\_anglais_S1 + moy\_anglais_S2 + moy\_anglais\_S3 + moy\_anglais\_S5)/4$$

## Classements et statistiques

Les moyennes (pour chaque tag et chaque RCs) sont généralement associée à des
**classements** et à des statistiques (note **minimum**, note **moyenne**, note
**maximum**) qui dépendent de la **cohorte** considérée.

### Cohortes de classement

L'outil PE propose plusieurs cohortes pour ces classements et ces statistiques.

<i class="fa-solid fa-triangle-exclamation" style="color: darkred;
font-size:200%"></i> L'outil PE ne fonctionne que si :

* les dates des semestres de début d'année universitaires (généralement des
  semestres impairs) s'étalent sur 2 années civiles (par exemple S1 de septembre
  2021 à janvier 2022)
* les dates des semestres de fin d'année universitaire (généralement des
  semestres pairs) sont limitées à une année civile (par exemple S2 de janvier à
  juillet 2022).

#### La cohorte `groupe¶`

> La cohorte `groupe` est l'ensemble des étudiants inscrits dans le même
> semestre que le dernier impliqué dans la moyenne calculée.

<i class="fas fa-eye" style="color: teal"></i> Par exemple, pour le tag `maths`
portant sur le RCS `Moyenne du semestre 1 à 3` c'est-à-dire sur les semestres
S1, S2, et pour finir S3, le groupe est constitué des élèves ayant tous été
inscrits au S3 final. Dans ce groupe, il peut y avoir des redoublants qui débuté
un an plus tôt et ont fait un S1+S2+S1+S2 avant d'atteindre ce S3.

De fait, les notes prises en compte pour les moyennes pourront provenir de
modules ne s'étant pas tenus aux même universitaires.

#### La cohorte `promo`

> La cohorte `promo 20XX` est l'ensemble des étudiants susceptibles de valider
> leur diplôme BUT à l'année `20XX` indépendamment de leur parcours (en
> supposant qu'ils ne redoublent plus).

<i class="fas fa-eye" style="color: teal"></i> Par exemple, si votre département
propose un _parcours A_ et un _parcours B_, la promo 2024 inclut les étudiants
qui valideront leur S6 en juillet 2024 (voire en décembre 2024 en cas de
semestres décalés).

<i class="fas fa-eye" style="color: teal"></i> Autre exemple, la promo 2025 :
parmi les étudiants de la promo 2025, on retrouve les étudiants "standards"
étant entrés à l'IUT en septembre 2022 avec un parcours sans redoublement. On
retrouve également les étudiants entrés à l'IUT en septembre 2021 et ayant
redoublé 2 semestres (de BUT1 ou de BUT2). Les étudiants ayant démissionnés ou
s'étant réorientés (aka ne s'étant pas réinscrit dans un semestre BUT là où il
aurait "du" le faire) sont exclus de la promo. (cf. tableur <i class="fa-solid
fa-file" style="color: orange"></i> `Jury_PE_2024.zip >
details/etudiants_20XX.xlsx`)

#### La cohorte `parcours` (à venir)

> La cohorte `parcours 20XX` est l'ensemble des étudiants susceptibles de
> valider leur diplôme BUT à l'année `20XX` et ayant suivi le même parcours (du
> référentiel de compétences).

### Classements par cohorte

<i class="fa-solid fa-triangle-exclamation" style="color: darkred;
font-size:200%"></i> Dans une même cohorte et pour certains tags (notamment ceux
des `comp. <titre_compétence>`), les étudiants peuvent avoir suivi des modules
différents (par exemple parce qu'ils sont prévu dans le parcours A mais pas dans
le parcours B). Les classements dans la cohorte sont donc systématiquement
ramenés au nombre d'étudiants inscrits dans les modules raccrochés au tag visé.

### Statistiques par cohorte

Pour chaque cohorte et chaque tag (considérant les inscrits aux modules
rattachés aux tags) des statistiques sont fournies :

* `min` la plus petite note (moyenne du tag) obtenu par les étudiants de la cohorte
* `max` la plus grande note (moyenne du tag) obtenu par les étudiants de la cohorte
* `moy` la moyenne des notes (au tag) de la cohorte
