# Exports des résultats BUT vers Apogée

Les exports des résultats du BUT vers Apogée (et dans le futur vers Pégase)
posent un certain nombre de problèmes spécifiques liés aux caractéristiques
atypiques du BUT. Nous listons ci-dessous quelques points qu'il est important
d'avoir à l'esprit.

## Compétences et référentiels

Avant toute chose, et avant de tenir un jury BUT, s'assurer que la formation est
bien configurée, liée à son référentiel de compétences et que chaque UE est bien
associée à un niveau de compétence (dans le bon parcours le cas échéant).

## Pas de moyennes générales en BUT

En BUT, les seules notes définies sans ambigüité sont:

- les moyennes d'UE dans chaque semestre;
- les moyennes de ressources et SAÉ *vers chaque UE* (une note par couple
  UE/ressource ou UE/SAÉ);
- les notes d'évaluations.

En conséquence, aucune moyenne générale d'année ou de semestre ne devrait
logiquement figurer sur des documents officiels comme les procès verbaux de jury
ou les exports Apogée (utilisés en général pour éditer les diplômes).

Pour la même raison, il n'y a pas de classement par ordre de mérite en BUT (même
si ScoDoc propose moyennes indicatives et classements).

## Résultats semestriels et annuels

En général, les établissement ont l'habitude d'exporter les résultats de ScoDoc
vers Apogée en fin de semestre. Ce n'est pas strictement nécessaire en BUT après
les semestres impairs (S1, S3, S5), mais c'est possible.

Après un semestre impair, on peut donc exporter les résultats aux UEs (décisions
de jury et notes), ainsi bien entendu que les résultats plus fins (ressources,
évaluations).

Après les jurys de fin d'année scolaire (juillet), on peut exporter, outre les
résultats aux UEs:

- la décision annuelle (à l'étape): code jury (pas de note en BUT);
- les décisions RCUEs (niveaux de compétences) [**note: pas encore disponible en
  ScoDoc 9.4.x** : personne ne l'a demandé !].

!!! note "Voir aussi"

    - [Interfaces ScoDoc / Apogée](ScoDocApogee.md)
    - [Le Bachelor Universitaire de Technologie (BUT)](BUT.md)
    - [Contacts](Contact.md)
