# Codes jury en Bachelor Universitaire de Technologie (BUT)

Les tableaux ci-dessous récapitulent les codes utilisés lors des jurys BUT. La
signification de chaque code est expliquée, ainsi que la correspondance avec
certains codes préconisés par l'AMUE et l'ADIUT pour Apogée.

## Codes d'année

*Les codes d'année BUT sont associés à la formation et non au semestre: on ne
valide qu'une seule fois BUT1, BUT2 puis BUT3.*

| ScoDoc | AMUE | Signification |
|--------|------|---------------|
| `ABAN` | `ABAN` | ABANdon constaté (sans lettre de démission) |
| `ABL`  | `ABL`  | Année Blanche |
| `ADM`  |        | Admis |
| `ADJ`  |        | Admis par décision jury |
| `ATJ`  | `nd`   | Non validé pour une autre raison, voir règlement local |
| `DEF`  |        | (défaillance) Non évalué par manque assiduité |
| `DEM`  |        | Démission |
| `EXCLU`| `EXC`  | EXClusion, décision réservée à des décisions disciplinaires |
| `NAR`  | `REO`  | Non admis, réorientation |
| `PAS1NCI`| `PAS1NCI` | Non admis, mais passage par décision de jury (Passage en Année Supérieure avec au moins 1 Niveau de Compétence Insuffisant (RCUE&lt;8)) |
| `PASD` | `PASD` | Non admis, mais passage de droit |
| `RAT`  |        | En attente d’un rattrapage |
| `RED`  | `RED`  | Ajourné, mais autorisé à redoubler |


## Codes RCUE (niveaux de compétences annuels)

*Les codes de RCUE sont associés à la formation: chaque niveau de compétence est
validé une fois au maximum. En cas de redoublement, le code RCUE peut changer.*

| ScoDoc | AMUE | Signification |
|--------|------|---------------|
| `ABAN` |      | Non évalué pour manque assiduité |
| `ADM`  | `VAL`| Acquis |
| `ADJ`  | `CODJ`| Acquis par décision du jury |
| `ADSUP`|      | Acquis parce que le niveau de compétence supérieur est acquis |
| `AJ`   | `AJ` | Attente pour problème de moyenne |
| `ATJ`  | `nd` | Non validé pour une autre raison, voir règlement local |
| `CMP`  |      | Acquis par compensation annuelle |
| `DEF`  |      | Défaillant |
| `RAT`  |      | En attente d’un rattrapage |


## Codes des Unités d'Enseignement (UE)

Les codes d'UE sont associés aux UE d'un semestre. En cas de redoublement,
l'UE antérieure garde son code, non écrasé par le redoublement. Chaque UE suivie a son code.

| ScoDoc  | AMUE | Signification |
|---------|------|---------------|
| `ABAN`  | `ABAN` | Non évalué pour manque d’assiduité Non présentation des notes de l’étudiant au jury |
| `ADM`   | `VAL`  | Acquis (ECTS acquis, UE capitalisée) |
| `ADJ`   |       | Acquis par décision de jury (ECTS acquis) |
| `ADJR`  |       | Acquis par décision de jury sur le RCUE (ECTS acquis) |
| `ADSUP` |       | Acquis parce que le niveau de compétence supérieur est acquis |
| `AJ`    | `AJ`  | Attente pour problème de moyenne |
| `ATJ`   | `nd`  | Non validé pour une autre raison, voir règlement local |
| `CMP`   | `COMP`| Acquis par compensation UE compensée avec l’UE de même compétence et de même année (ECTS acquis) |
| `DEF`   | `ABAN`| Défaillant Pas ou peu de notes par arrêt de la formation |
| `DEM`   |       | Démission |
| `RAT`   |       | En attente d’un rattrapage |
| `UEBSL` | `UEBSL`| UE blanchie |

## Rappels de l'arrêté BUT (extraits)

- Au sein de chaque regroupement cohérent d’UE, la compensation est intégrale. Si une UE n’a pas été acquise en raison d’une moyenne inférieure à 10, cette UE sera acquise par compensation si et seulement si l’étudiant a obtenu la moyenne au regroupement cohérent auquel l’UE appartient.
- La poursuite d'études dans un semestre pair d’une même année est de droit pour tout étudiant. La poursuite d’études dans un semestre impair est possible _si et seulement si_ l’étudiant a obtenu :
    - la moyenne à plus de la moitié des regroupements cohérents d’UE
    - et une moyenne égale ou supérieure à 8 sur 20 à chaque regroupement cohérent d’UE.
- La poursuite d'études dans le semestre 5 nécessite de plus la validation de toutes les UE des semestres 1 et 2 dans les conditions de validation des points 4.3 et 4.4, ou par décision de jury.

### Textes de référence

- [Bulletin officiel spécial n°4 du 26 mai 2022](https://www.enseignementsup-recherche.gouv.fr/fr/bo/21/Special4/ESRS2114777A.htm)
- [Version pdf de l'arrêté de mai 2022 sur la licence professionnelle « bachelor universitaire de technologie »](https://cache.media.education.gouv.fr/file/SP4-MESRI-26-5-2022/10/0/spe617_annexe1_1426100.pdf)

!!! note "Voir aussi"

    - [Le BUT](BUT.md)
    - [Contacts](Contact.md)
