
# Rôles et permissions définis dans l'installation standard

La page [ConfigPermissionsDept](ConfigPermissionsDept.md) introduit les notions
de rôles et de permissions.

Ci-dessous la liste des permissions, qui est utile notamment pour les
utilisateurs de l'API.

## Liste des permissions

* **AbsAddBillet** : Saisir des billets d'absences
* **AbsChange** : Saisir des absences
* **AbsJustifView** : Visualisation des fichiers justificatifs
* **EditAllEvals** : Modifier toutes les évaluations
* **EditAllNotes** : Modifier toutes les notes
* **EditApogee** : Gérer les exports Apogée
* **EditFormSemestre** : Mettre en place une formation (créer un semestre)
* **EditFormation** : Changer les formations
* **EditFormationTags** : Tagguer les formations
* **EditPreferences** : Modifier les préférences
* **EnsView** : Voir les parties pour les enseignants
* **EtudAddAnnotations** : Éditer les annotations
* **EtudChangeAdr** : Changer les adresses d'étudiants
* **EtudChangeGroups** : Modifier les groupes
* **EtudInscrit** : Inscrire des étudiants
* **Observateur** : Observer (accès lecture restreint aux bulletins)
* **RelationsEntrepEdit** : Modifier les entreprises
* **RelationsEntrepExport** : Exporter les données de l'application relations entreprises
* **RelationsEntrepSend** : Envoyer des offres
* **RelationsEntrepValidate** : Valide les entreprises
* **RelationsEntrepView** : Voir l'application relations entreprises
* **RelationsEntrepViewCorrs** : Voir les correspondants
* **ScoSuperAdmin** : Super Administrateur
* **ScoView** : Voir
* **UsersAdmin** : Gérer les utilisateurs (de son département)
* **UsersChangeCASId** : Paramétrer l'id CAS
* **UsersView** : Voir les utilisateurs (de tous les départements)

## Rôles

Les rôles peuvent êtres associés à un nombre quelconque de permissions.

ScoDoc définit un certain nombre de rôles *standards* (`Ens`, `Secr`, ...) mais
l'administrateur peut facilement définir de nouveaux rôles et leur associer un
ensemble de permissions.

## Gestion des utilisateurs

Les utilisateurs sont associés à un département principal et à des rôles.

Le fait d'être, ou non, associé à un département est important:

* pour tous les utilisateurs: hormis le SuperAdmin, seuls les administrateurs du
  département d'appartenance sont habilités à modifier les caractéristiques
  principales (nom, prenom, email, mot de passe) de cet utilisateur.
* pour les responsables (rôle `Admin_XXX`). En effet, si le responsable est
associé à un département, *il ne pourra créer des utilisateurs que dans ce
département* (c'est en général ce qu'on veut pour un chef de département, qui
"recrute" des enseignant uniquement dans son département).

Pour la gestion des rôles, l'administrateur d'un département peut ajouter ou
supprimer les rôles *de ce département* à n'importe quel utilisateur, y compris
à ceux qui ne sont pas du même département.

Exemple: si Paul est du département GEII et a les rôles `Admin_GEII` et `Admin_CJ`

* Il pourra *créer* des utilisateurs *uniquement dans son département d'origine*, GEII;
* Il pourra ajouter ou retirer les rôles `Ens_GEII`, `Secr_GEII`, `Admin_GEII` à tout
  utilisateur de ScoDoc;
* Il pourra ajouter ou retirer les rôles `Ens_CJ`, `Secr_CJ`, `Admin_CJ` à tout
  utilisateur de ScoDoc.

Plus d'informations techniques sur la page [AdminUsers](AdminUsers.md).

!!! note "Voir aussi"

    - [Introduction aux rôles et permissions](ConfigPermissionsDept.md) 
    - [Gestion des utilisateurs](AdminUsers.md)
    - [Config. des rôles et permissions en ligne de commande](GuideConfig.md#creation-dun-nouveau-role)
    - [Guide administrateur ScoDoc](GuideAdminSys.md)
    - [FAQ](FAQ.md)
    - [Contacts](Contact.md)
